AurionAI Docs

Create Child Conversation V2

POST
/api/v2/conversations/{conversation_id}/children

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

conversation_id*Conversation Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/conversations/string/children" \  -H "Content-Type: application/json" \  -d '{    "subject": "string"  }'
{
  "ai_analysis_generated_at": "2019-08-24T14:15:22Z",
  "ai_analysis_message_count": 0,
  "ai_analysis_stale": false,
  "ai_category": "string",
  "ai_classification_source": "string",
  "ai_classified_at": "2019-08-24T14:15:22Z",
  "ai_confidence": 0,
  "ai_conversation_type": "string",
  "ai_copilot_context": {},
  "ai_language": "string",
  "ai_priority": "string",
  "ai_sentiment": "string",
  "ai_suggested_reply": {},
  "ai_suggestion": {},
  "ai_suggestion_field_states": {},
  "ai_topic_tags": [
    "string"
  ],
  "ai_triage_hint": "string",
  "ai_triage_hint_type": "string",
  "archived_at": "2019-08-24T14:15:22Z",
  "assigned_at": "2019-08-24T14:15:22Z",
  "assignee_team_id": "string",
  "assignee_team_name": "string",
  "assignee_user_id": "string",
  "assignee_user_name": "string",
  "assignment_reason": "string",
  "auto_resolved_by_ai": false,
  "category": "string",
  "channel": "string",
  "company_id": "string",
  "company_name": "string",
  "contact_email": "string",
  "contact_id": "string",
  "contact_name": "string",
  "contact_phone": "string",
  "contact_role": "string",
  "conversation_type": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "current_sentiment_label": "string",
  "current_sentiment_score": 0,
  "custom_attrs": {},
  "deleted_at": "2019-08-24T14:15:22Z",
  "department_id": "string",
  "id": "string",
  "impact": "string",
  "initial_sentiment_label": "string",
  "is_spam": false,
  "merged_at": "2019-08-24T14:15:22Z",
  "merged_by": "string",
  "merged_into_id": "string",
  "messages": [
    {
      "attachments": [
        {}
      ],
      "body": "string",
      "body_html": "string",
      "content_type": "string",
      "conversation_version": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "id": "string",
      "is_internal": false,
      "metadata": {},
      "original_body": "string",
      "sender_id": "string",
      "sender_type": "string",
      "sentiment_label": "string",
      "sentiment_score": 0,
      "source": "string",
      "source_message_id": "string",
      "translated_body": "string",
      "translation_target_language": "string"
    }
  ],
  "parent_id": "string",
  "planned_effort_minutes": 0,
  "planned_end": "2019-08-24T14:15:22Z",
  "planned_start": "2019-08-24T14:15:22Z",
  "priority": "string",
  "sentiment_trend": "string",
  "sla_first_response_due": "2019-08-24T14:15:22Z",
  "sla_last_escalation_at": "2019-08-24T14:15:22Z",
  "sla_resolution_due": "2019-08-24T14:15:22Z",
  "sla_state": "string",
  "source": "string",
  "source_thread_id": "string",
  "status": "string",
  "sub_category": "string",
  "subject": "string",
  "tab_counts": {
    "activities": 0,
    "has_resolution": false,
    "messages": 0,
    "related": 0
  },
  "tags": [
    "string"
  ],
  "total_time_spent_minutes": 0,
  "updated_at": "2019-08-24T14:15:22Z",
  "urgency": "string",
  "version": 1
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}